package com.fp.viaticos.rules.save.solicitud.estados;

import com.fp.dto.save.SaveRequest;
import com.fp.simple.dto.Responses;
import com.fp.viaticos.rules.enums.EnumEstadosSolicitud;

/**
 * Clase que se encarga de cambiar el estado de un informe a por corregir.
 * 
 * @author Jorge Vaca.
 * @version 2.1
 */
@SuppressWarnings("serial")
public class InformePorCorregir extends EstadoHelper {

    /*
     * (non-Javadoc)
     * 
     * @see com.fp.dto.rules.TransactionRule#normalProcess(com.fp.dto.save.SaveRequest)
     */
    @Override
    public SaveRequest normalProcess(SaveRequest pSaveRequest) throws Exception {
        Responses resp = Responses.findResponse(pSaveRequest.getString("BPMStatus"));
        if (!resp.getCode().equals("M")) {
            return pSaveRequest;
        }
        super.cambiar(pSaveRequest, EnumEstadosSolicitud.INF_POR_CORREGIR.getEstatus());
        return pSaveRequest;
    }

    /*
     * (non-Javadoc)
     * 
     * @see com.fp.dto.rules.TransactionRule#reverseProcess(com.fp.dto.save.SaveRequest)
     */
    @Override
    public SaveRequest reverseProcess(SaveRequest pSaveRequest) throws Exception {
        return pSaveRequest;
    }

}
